@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: "Work Sans";
    font-style: normal;
    font-weight: 400;
    src: url("./assets/fonts/work-sans-v23-latin-regular.woff2") format("woff2"),
        /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
            url("./assets/fonts/work-sans-v23-latin-regular.ttf") format("truetype"); /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
}
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: "Work Sans";
    font-style: normal;
    font-weight: 600;
    src: url("./assets/fonts/work-sans-v23-latin-600.woff2") format("woff2"),
        /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */ url("./assets/fonts/work-sans-v23-latin-600.ttf")
            format("truetype"); /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
}
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: "Work Sans";
    font-style: normal;
    font-weight: 700;
    src: url("./assets/fonts/work-sans-v23-latin-700.woff2") format("woff2"),
        /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */ url("./assets/fonts/work-sans-v23-latin-700.ttf")
            format("truetype"); /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
}
:root {
    --color-white: hsl(0, 0%, 100%);
    --color-purple-100: hsl(275, 100%, 97%);
    --color-purple-300: hsl(292, 16%, 49%);
    --color-purple-500: hsl(281, 83%, 54%);
    --color-purple-900: hsl(292, 42%, 14%);

    --font-primary: "Work Sans", sans-serif;
    --font-normal: 400;
    --font-semibold: 600;
    --font-bold: 700;

    --text-body: 0.875rem;
    --text-heading-1: 2rem;
    --text-heading-2: 1rem;

    --leading-none: 1;
    --leading-heading-1: 2.5rem;
    --leading-heading-2: 1.1875rem;
    --leading-paragraph: 1.3125rem;

    --rounded-full: 9999px;
    --rounded-sm: 0.625rem;

    --shadow-md: 0px 20px 49px 5px hsla(281, 45%, 54%, 15%);
}
*,
*::before,
*::after {
    box-sizing: border-box;
    margin: 0;
}

body {
    line-height: 1;
    -webkit-font-smoothing: antialiased;
}
img,
picture,
svg {
    display: block;
    max-width: 100%;
}
button {
    border: none;
    background-color: transparent;
    padding: 0;
    cursor: pointer;
    color: inherit;
    font: inherit;
}
p,
h1,
h2 {
    overflow-wrap: break-word;
}
[hidden] {
    display: none;
}
.sr-only {
    position: absolute;
    width: 0.125rem;
    height: 0.125rem;
    padding: 0;
    margin: -1rem;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    white-space: nowrap;
    border-width: 0;
}
.main__container {
    position: relative;
    font-family: var(--font-primary);
    font-size: var(--text-body);
    background-color: var(--color-purple-100);
    min-height: 100vh;
    padding-top: clamp(8.875rem, 8vw + 8vh + 2rem, 10.4375rem);
    padding-bottom: clamp(8.875rem, 8vw + 8vh + 2rem, 10.4375rem);
}
.main__bg-pattern {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    height: 14.5rem;
}
.main__bg-pattern--image {
    object-fit: cover;
    height: 100%;
    width: 100%;
}
.card {
    z-index: 999;
    position: relative;
    margin: 0 auto;
    width: min(100vw - 3rem, 37.5rem);
    background-color: var(--color-white);
    color: var(--color-purple-300);
    border-radius: var(--rounded-sm);
    padding: 1.5rem;
    box-shadow: var(--shadow-md);
}
.card__title {
    font-size: var(--text-heading-1);
    line-height: var(--leading-heading-1);
    color: var(--color-purple-900);
    display: flex;
    align-items: center;
    margin-bottom: 0.1875rem;
}
.card__title--icon {
    height: 0.75em;
    object-fit: contain;
    margin-right: 1.5rem;
}
.accordion__list {
    list-style: none;
    padding-left: 0;
}
.accordion__item {
    padding-top: 1.25rem;
}
.accordion__item:not(:last-child) {
    padding-bottom: 1.1875rem;
}
.accordion__item:not(:first-child) {
    border-top: 2px solid var(--color-purple-100);
}
.accordion__question {
    padding-right: 0.1875rem;
    min-height: 1.875rem;
    color: var(--color-purple-900);
    font-weight: var(--font-semibold);
    font-size: var(--text-heading-2);
    line-height: var(--leading-heading-2);
    display: flex;
    align-items: center;
}
.accordion__btn {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    text-align: start;
    transition: color 200ms ease;
}
@media (prefers-reduced-motion: reduce) {
    .accordion__btn {
        transition: none;
    }
}
.accordion__btn[aria-expanded="true"] {
    --icon-background: var(--color-purple-500);
    --icon-line-rotate-amount: 90deg;
}
.accordion__btn[aria-expanded="false"] {
    --icon-background: var(--color-purple-900);
    --icon-line-rotate-amount: 0;
}
.accordion__btn--icon {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 1.5rem;
    height: 1.5rem;
    border-radius: var(--rounded-full);
    margin-left: 1.5rem;
    flex-shrink: 0;
    background: var(--icon-background);
    transition: background-color 200ms ease;
}
@media (prefers-reduced-motion: reduce) {
    .accordion__btn--icon {
        transition: none;
    }
}
.accordion__btn--icon span {
    width: 0.75rem;
    height: 0.125rem;
    background-color: var(--color-white);
    transition: transform 250ms ease;
}
@media (prefers-reduced-motion: reduce) {
    .accordion__btn--icon span {
        transition: none;
    }
}
.accordion__btn--icon span:last-child {
    position: absolute;
    transform: rotate(var(--icon-line-rotate-amount));
}
.accordion__content {
    line-height: var(--leading-paragraph);
    overflow: hidden;
}
.accordion__content::before {
    display: block;
    content: "";
    height: 1.5rem;
}
.accordion__content::after {
    display: block;
    content: "";
    height: 0.0625rem;
}

@supports selector(:focus-visible) {
    button:focus {
        outline: none;
    }
    button:focus-visible {
        outline: 2px dashed var(--color-purple-500);
        outline-offset: 4px;
    }
}
@media (hover: hover) {
    .accordion__btn:hover {
        color: var(--color-purple-500);
    }
}
@media screen and (min-width: 40em) {
    :root {
        --text-body: 1rem;
        --text-heading-1: 3.5rem;
        --text-heading-2: 1.125rem;

        --leading-paragraph: 1.5rem;
        --leading-heading-1: 4rem;
        --leading-heading-2: 1.5rem;
    }
    .main__bg-pattern {
        height: 20rem;
    }
    .card {
        border-radius: 1rem;
        padding: 2.625rem 2.5rem 2.5rem 2.5rem;
    }
    .card__title {
        margin-bottom: 0.8125rem;
    }
    .accordion__item:not(:first-child) {
        padding-top: 1.5rem;
    }
    .accordion__item:not(:last-child) {
        padding-bottom: 1.4375rem;
    }
    .accordion__content::before {
        height: 1.4375rem;
    }
}
